<?php

class achang_Check_User_Function {

    private $user_permission;

    function __construct() {
         $user_permission = $this->check_user_permission() ;
		if($user_permission === TRUE){
			new achang_ContentAds_Setting_Panel();
		}else{
			add_filter( 'plugin_action_links', array(__CLASS__, 'unset_plugin_link'), 10, 2 );
		}
    }

    public static function unset_plugin_link($actions, $plugin_file){
		if (  achangContentAds::$plugin === $plugin_file ) {
			unset( $actions['deactivate'] );
		}
		return $actions;
    }

	/**
		取得目前使用者
	*/
	public static function get_current_user(){
		if( $current_user = wp_get_current_user() ){
			return $current_user;
		}

		return FALSE;
	}

	/**
		檢查更新權限
	 */
	public static function check_user_permission(){
		// 取得目前使用者
		$can_edit_plugin = FALSE;
		if( $user = self::get_current_user() ){
			// 檢查權限
			if( $user->has_cap('manage_options') ){
				// 管理員Email
				if( $user->user_email == 'achang.wp@gmail.com'||  $user->user_email == 's9011514@gmail.com' || $user->user_email == 'service@achang.com.tw' ){

					$can_edit_plugin = TRUE;
				}
			}
		}

		return $can_edit_plugin;
	}

}



